Name:     grub2splash
Version:  0.2.8
Release:  %mkrel 1

Summary:  Simple image changer for grub2, plymouth
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  WTFP
Group:    Graphics
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: yad
Requires: grub2-theme-pclinuxos
Requires: gfxboot-theme-pclinuxos
Requires: plymouth-theme-pclinuxos 
Obsoletes: %{name} < %{version}

%description
Fast and simple image splash changer for grub2, plymouth backgrounds.
Personalize grub2, plymouth images to your own favorite images
Use at your own risk!

%prep
%setup -q

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Configuration;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR


%files 
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_bindir}/%{name}
%_datadir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/icons/hicolor/48x48/apps/%{name}.png
%_datadir//polkit-1/actions/org.pclinuxos.%{name}.policy

%changelog
* Mon Jul 12 2021 Ken <lxgator at gmail.com> 0.2.8-1pclos2021
- Update to 0.2.8






